
proc CreateGraphics {} {
	global GraphicsWin
	global OffScreenPos
	
	set DoCreate 1
	if { [info exists GraphicsWin] } {
		if { [winfo exists $GraphicsWin] } {
			set DoCreate 0
		}
	}
	
	if { $DoCreate == 1} {
		set GraphicsWin [toplevel .graphics -borderwidth 1 -relief flat]
		wm overrideredirect $GraphicsWin 1
		# Initially set the window outside of the viewing area
		set x [winfo screenwidth $GraphicsWin]
		set y [winfo screenheight $GraphicsWin]
		incr x $x
		incr y $y
		set OffScreenPos(x) $x
		set OffScreenPos(y) $y
		set GraphicsExist 1
	}
}

proc ShowHexaGraphics {x y width height} {
	# Setup the bindings so that this window is always on top
	wm geometry 	
}

proc UpdateHexaGraphics {x y width height} {
	
}

proc HideHexaGraphics {} {
	
}

proc Quit {} {
	exit
}

proc Exit {} {
	exit
}
